## class UpdateVectorAlignmentCmd : public Command

> abstract command class for updating text alignments.

## Inheritance:

### Public Methods

  | UpdateVectorAlignmentCmd (Table *t, TableViewer *v, TextAlign::Type a)
  virtual | ~UpdateVectorAlignmentCmd ()
  void | Execute ()
  void | UnExecute ()

### Protected Methods

  List <TextAlign::Type> * | GetOldAlignments ()
  List <CellVector *> * | GetVectors ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
virtual const char* GetName() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for updating text alignments.

`UpdateVectorAlignmentCmd(Table *t, TableViewer *v, TextAlign::Type a)`

`virtual ~UpdateVectorAlignmentCmd()`

`void Execute()`

`void UnExecute()`

`List <TextAlign::Type> * GetOldAlignments()`

`List <CellVector *> * GetVectors()`

Direct child classes:
  UpdateRowAlignmentCmd
  UpdateColumnAlignmentCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de